import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import javax.xml.namespace.QName;

public class TestSOAPClient
{
     public static void main(String[] args)
     {
           try
           {
                /* set the network address of the SOAP Server */
                String endpoint = "http://localhost:8082/services/SOAP2FTS";
  
                Service  service = new Service();
                Call call = (Call)service.createCall();
 
                call.setTargetEndpointAddress( new java.net.URL(endpoint) );

                /* call the operation: setParameters */
                call.setOperationName(new QName("http://www.uleth.ca/", "setParameters"));
                int pcfSize_h = 40;
                int dsSize = 80;
                int fittingDegree = 2;
                float weight_limit = (float)0.01;
                call.invoke(new Object[] {pcfSize_h, dsSize, fittingDegree, weight_limit});  

                /* call the operation: dataReduction */
                call.setOperationName(new QName("http://www.uleth.ca/", "dataReduction"));
                String inPath, outPath;
                inPath = "/mnt/alpha/users/zhang/projects/javaDR/DR2FTS/test/test_rawdata";
                outPath = "/mnt/alpha/users/zhang/projects/javaDR/DR2FTS/test/test_reduced";
                call.invoke(new Object[] {inPath, outPath});

                /* call the operation: exitSOAP (stop the SOAP server) */
                call.setOperationName(new QName("http://www.uleth.ca/", "exitSOAP"));
                call.invoke(new Object[] {});

           }
           catch(Exception e)
           {
                System.err.println(e.toString());
           }
     }
}
